package com.njcn.gather.pqdif.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.njcn.gather.pqdif.pojo.param.PqPqdifPathParam;
import com.njcn.gather.pqdif.pojo.po.PqPqdifPath;

import java.util.List;

public interface IPqPqdifPathService extends IService<PqPqdifPath> {
    List<PqPqdifPath> listAll();

    Page<PqPqdifPath> listPqdif(PqPqdifPathParam.QueryParam param);

    boolean importPqdif(List<PqPqdifPathParam.ImportItem> items);
}
